"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _pluginVue_exportHelper = require("../../../_virtual/_plugin-vue_export-helper.js");
const optionItem_vue_vue_type_script_lang = require("./option-item.vue_vue_type_script_lang.js");
const Vue = require("vue");
const _hoisted_1 = [
  "id",
  "aria-selected",
  "aria-disabled"
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return Vue.openBlock(), Vue.createElementBlock("li", {
    id: `${_ctx.contentId}-${_ctx.index}`,
    role: "option",
    "aria-selected": _ctx.selected,
    "aria-disabled": _ctx.disabled || void 0,
    style: Vue.normalizeStyle(_ctx.style),
    class: Vue.normalizeClass([
      _ctx.ns.be("dropdown", "item"),
      _ctx.ns.is("selected", _ctx.selected),
      _ctx.ns.is("disabled", _ctx.disabled),
      _ctx.ns.is("created", _ctx.created),
      _ctx.ns.is("hovering", _ctx.hovering)
    ]),
    onMousemove: _cache[0] || (_cache[0] = (...args) => _ctx.hoverItem && _ctx.hoverItem(...args)),
    onClick: _cache[1] || (_cache[1] = Vue.withModifiers((...args) => _ctx.selectOptionClick && _ctx.selectOptionClick(...args), ["stop"]))
  }, [Vue.renderSlot(_ctx.$slots, "default", {
    item: _ctx.item,
    index: _ctx.index,
    disabled: _ctx.disabled
  }, () => [Vue.createElementVNode("span", null, Vue.toDisplayString(_ctx.getLabel(_ctx.item)), 1)])], 46, _hoisted_1);
}
var option_item_default = /* @__PURE__ */ _pluginVue_exportHelper.default(optionItem_vue_vue_type_script_lang.default, [["render", _sfc_render]]);
exports.default = option_item_default;
